
<div>
    <mat-toolbar color="accent">
        <span>{{ ('NAV.EXCHANGE_RATES' | translate) + ' - '}}{{
            sourceCurrency?.name || 'ERRORS.NO_FUNDING_CURRENCY' | translate }}</span>
        <span class="example-spacer"></span>
        <button *ngIf="!apiPending" mat-icon-button
            (click)="retrieveClicked()"
            #tooltip="matTooltip"
            matTooltip="{{ 'RETRIEVE_EXCHANGE_RATES' | translate }}"
            [disabled]="!sourceCurrency || availableCurrencies.length == 0">
            <mat-icon color="{{!sourceCurrency || availableCurrencies.length ==
                0 ? 'warn' : 'text'}}">update</mat-icon>
        </button>
        <mat-icon *ngIf="apiPending">pending</mat-icon>
        <button mat-icon-button
            (click)="onAddNewCurrencyClicked()">
            <mat-icon>add</mat-icon>
        </button>
    </mat-toolbar>

    <div fxLayout="row" class="mt-4 mx-2" *ngIf="newCurrencyVisible" fxLayoutAlign="center center" >
        <div fxFlex="nogrow">
            <mat-form-field appearance="fill" class="mr-2">
                <mat-label>Add new currency</mat-label>
                <form (ngSubmit)="onAddNewCurrencySubmit()"
                    [formGroup]="currencyForm">
                    <input matInput autocomplete="off" formControlName="newCurrencyName"
                        type="text"
                        (keyup)="onFormKeyUp($event)"
                        [class.error]="!isNameValid()"
                        id="newCurrencyName"
                        #newCurrencyName/>
                </form>
            </mat-form-field>
        </div>
        <button fxFlex="nogrow" mat-flat-button type="button" (click)="onAddNewCurrencySubmit()"
            class="add-button" [disabled]="!isNameValid(false)">
            {{ 'ADD' | translate }}
        </button>
        <div fxFlex="auto"></div>
    </div>
    <mat-list class="mx-2 mt-1">
        <mat-divider></mat-divider>

        <app-exchange-rate-item
            *ngFor="let c of availableCurrencies"
            [sourceCurrency]="sourceCurrency"
            [exchangeCurrency]="c"
            [staleDays]="staleDays">
        </app-exchange-rate-item>

    </mat-list>
</div>